package org.example.data

import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest

class ShoesRepositoryImpl: ShoesRepository {
    private val shoesSource: MutableList<ShoesDTO> = shoesList.toMutableList()


    override fun addShoes(shoes: AddShoesRequest ): ShoesDTO {
        val newShoes = ShoesDTO(
        shoesId = shoesSource.size + 1,
        shoesName = shoes.Name,
        shoesDescription = shoes.Description,
        shoesUrl = shoes.Url,
        category = shoes.category,
        price = shoes.price
        )
        shoesSource.add(newShoes)
        return newShoes
    }

    override fun getAllShoes(): List<ShoesDTO> = shoesList

    override fun removeShoesById(shoesId: Int): Boolean {
        return shoesSource.removeIf { it.shoesId == shoesId }
    }
}
