package org.example.domain.UseCase

import org.example.data.ShoesRepository
import org.example.domain.ShoesDTOToShoesResponse
import org.example.domain.request.AddShoesRequest
import org.example.domain.response.ShoesResponse

class ShoesUseCaseImpl(private val ShoesRepository: ShoesRepository): ShoesUseCase {
    override fun addShoesRequest(addShoesRequest: AddShoesRequest): ShoesResponse {
        //уникальность имени
        val isUnique = ShoesRepository.getAllShoes().firstOrNull{
            it.shoesName == addShoesRequest.Name
        } == null
        require(isUnique){
            "такой товар существует"
        }
        val newShoes = ShoesRepository.addShoes(addShoesRequest)
        return ShoesDTOToShoesResponse(newShoes)
    }
}